### Constructor

# Shumate MarkerLayer new

#### Declaration [src]

    ShumateMarkerLayer*
    shumate_marker_layer_new (
      ShumateViewport* viewport
    )

#### Description [src]

Creates a new instance of `ShumateMarkerLayer`.

#### Parameters

`viewport`

  Type: `ShumateViewport`

  The `ShumateViewport`.

  The data is owned by the caller of the function.

#### Return value

Type: `ShumateMarkerLayer`

A new `ShumateMarkerLayer` ready to be used as a container for the markers.

The data is owned by the called function.